Admins don't see all activity filter types in inbox/outbox

Bug #1433342 reported by Robert Lyon on 2015-03-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Robert Lyon
1.10
Low
Robert Lyon

Bug Description

Admins are allowed to see more types of messages than a normal user - but their activity filter box has only the basic types.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4437

Reviewed: https://reviews.mahara.org/4435
Committed: http://gitorious.org/mahara/mahara/commit/1e39fa77fbbbc843adb883a90dd6df021547aaa0
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 1e39fa77fbbbc843adb883a90dd6df021547aaa0
Author: Robert Lyon <email address hidden>
Date: Wed Mar 18 11:30:27 2015 +1300

Allowing admin users see all activity filter types in inbox/outbox

Bug 1433342

Also letting the users that are group admins of at least one group to
be able to see the 'objectional content in forum' and 'new posts'
filter as well.

Change-Id: Ie70f7af13f2b266ed77e6504dea30bb635939e59
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/4493
Committed: http://gitorious.org/mahara/mahara/commit/e9f40ad42e9001f2722d6958b38c2f4b9a5d0ced
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit e9f40ad42e9001f2722d6958b38c2f4b9a5d0ced
Author: Robert Lyon <email address hidden>
Date: Wed Mar 18 11:30:27 2015 +1300

Allowing admin users see all activity filter types in inbox/outbox

Bug 1433342

Also letting the users that are group admins of at least one group to
be able to see the 'objectional content in forum' and 'new posts'
filter as well.

Change-Id: Ie70f7af13f2b266ed77e6504dea30bb635939e59
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4437
Committed: http://gitorious.org/mahara/mahara/commit/5c44ecda6b8d71608fbc9de30086801a10d6b822
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5c44ecda6b8d71608fbc9de30086801a10d6b822
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Mar 18 15:22:36 2015 +1300

Behat Test: Filtering message by activity type (Bug 1433342)

Dependent on patch https://reviews.mahara.org/#/c/4435/

Change-Id: I9ba31d70497b341fc95ce46614ea8d2ea301a8d6

Reviewed: https://reviews.mahara.org/4501
Committed: http://gitorious.org/mahara/mahara/commit/0285e2edb8ff73bdeefe5e81921d14e5062397df
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 0285e2edb8ff73bdeefe5e81921d14e5062397df
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Mar 18 15:22:36 2015 +1300

Behat Test: Filtering message by activity type (Bug 1433342)

Dependent on patch https://reviews.mahara.org/#/c/4435/

Change-Id: I9ba31d70497b341fc95ce46614ea8d2ea301a8d6

Robert Lyon (robertl-9) on 2015-04-16
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
tags: added: behat has-behat
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers